gsasl_server_callback_qop_get(3)

NAME
gsasl_server_callback_qop_get - API function

SYNOPSIS
#include <gsasl.h>

Gsasl_server_callback_qop gsasl_server_callback_qop_get(Gsasl * ctx);

ARGUMENTS

Gsasl * ctx
    libgsasl handle.

DESCRIPTION
Get the callback earlier set by calling gsasl_server_callback_qop_set(). Return value: Returns the callback earlier set by calling gsasl_server_callback_qop_set().

DEPRECATED
This function is part of the old callback interface. The new interface uses gsasl_callback_set() to set the application callback, and uses gsasl_callback() or gsasl_property_get() to invoke the callback for certain properties.

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GNU SASL home page: http://www.gnu.org/software/gsasl/

COPYRIGHT
Copyright © 2002-2019 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gsasl/manual/